CLASS TEMPLA(3)

NAME
boost::gamma_distribution

SYNOPSIS

// In header: <boost/random/gamma_distribution.hpp>
template<typename RealType = double>
class gamma_distribution {
public:
  // types
  typedef RealType input_type;
  typedef RealType result_type;
  // construct/copy/destruct
  gamma_distribution(const result_type & = result_type(1));
  // public member functions
  RealType alpha() const;
  void reset();
  template<typename Engine> result_type operator()(Engine &);
};

DESCRIPTION

The gamma distribution is a continuous distribution with a single parameter alpha.

It has [1][IMAGE][2] [$p(x) = x^{lpha-1}ac{e^{-x}}{Gamma(lpha)}$].

  gamma_distribution public construct/copy/destruct

    1.

    gamma_distribution(const result_type & alpha_arg = result_type(1));

  gamma_distribution public member functions

    1.

    RealType alpha() const;

    2.

    void reset();

    3.

    template<typename Engine> result_type operator()(Engine & eng);